// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "GameFramework/Character.h"
#include "ExoCharacterBase.generated.h"

UCLASS()
class EXO_API AExoCharacterBase : public ACharacter
{
	GENERATED_BODY()

public:
	AExoCharacterBase();

protected:
	virtual void BeginPlay() override;

	UPROPERTY(EditAnywhere, Category = "Combat")
	TObjectPtr<USkeletalMeshComponent> Weapon;  
	
};
